# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KBookmarkDomBuilder Class Reference

Since:
  3.2

More...

`#include <kbookmarkdombuilder.h>`

Inheritance diagram for KBookmarkDomBuilder:

[legend]
Collaboration diagram for KBookmarkDomBuilder:

[legend]
List of all members.

## Public Member Functions

| KBookmarkDomBuilder (const KBookmarkGroup &group, KBookmarkManager *)
void | connectImporter (const QObject *)

## Protected Slots

void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()

## Detailed Description

Since:
  3.2

Definition at line 31 of file kbookmarkdombuilder.h.

The documentation for this class was generated from the following files:

- kbookmarkdombuilder.h
- kbookmarkdombuilder.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003